#include "com.h"

char rcv[300],snd[200],comando[250];
extern Serial pc;

void connect(ESP8266 &esp)
{
    esp.Reset();
    esp.RcvReply(rcv, 1500);
    esp.SendCMD("AT");
    esp.RcvReply(rcv, 1000);
    esp.SetMode(1);
    esp.RcvReply(rcv, 1000);
    esp.Join(SSID, PASSWORD); // Replace MyAP and MyPasswd with your SSID and password
    esp.RcvReply(rcv, 1000);
//    pc.printf(rcv);
    esp.GetIP(rcv);
//    pc.printf(rcv);
    esp.SetMultiple();//è stata settata la possibilità di connessioni multiple
    esp.RcvReply(rcv, 1000);
}

void send_data(ESP8266 &esp,int idx,int val)
{
    strcpy(snd, "AT+CIPSTART=0,\"TCP\",\"192.168.1.101\",8080");//apertura connessione protocollo tcp
    esp.SendCMD(snd);
    esp.RcvReply(rcv, 4000);
    sprintf(comando,"GET /json.htm?type=command&param=udevice&idx=%d&nvalue=%d&svalue=80 HTTP/1.1\r\n\r\n",idx,val);
    int nstr_command = strlen(comando);
    sprintf(snd,"AT+CIPSEND=0,%d",nstr_command);//preparo a ricevere una richiesta
    esp.SendCMD(snd);
    esp.RcvReply(rcv, 1000);
    esp.SendCMD(comando);
    esp.RcvReply(rcv, 1000);
}

void disconnect(ESP8266 &esp)
{
    esp.SendCMD("AT+CIPCLOSE=0");
    esp.RcvReply(rcv, 1000);
}